## littler 0.3.0

=== DESCRIPTION ===
Package: littler
Type: Package
Title: R at the Command-Line via 'r'
Version: 0.3.0
Date: 2015-10-29
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A scripting and command-line front-end
 is provided by 'r' (aka 'littler') as a lightweight binary wrapper around
 the GNU R language and environment for statistical computing and graphics.
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hash-mark-exclamation-path
 expression as the first line in scripts) as well as command-line use in
 standard Unix pipelines. In other words, r provides the R language without
 the environment.
License: GPL (>= 2)
OS_type: unix
Suggests: knitr
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2015-10-29 12:30:13.34583 UTC; edd
Repository: CRAN
Date/Publication: 2015-10-29 14:13:59

## littler 0.3.1

=== DESCRIPTION ===
Package: littler
Type: Package
Title: R at the Command-Line via 'r'
Version: 0.3.1
Date: 2016-08-06
Author: Dirk Eddelbuettel and Jeff Horner
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A scripting and command-line front-end
 is provided by 'r' (aka 'littler') as a lightweight binary wrapper around
 the GNU R language and environment for statistical computing and graphics.
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hash-mark-exclamation-path
 expression as the first line in scripts) as well as command-line use in
 standard Unix pipelines. In other words, r provides the R language without
 the environment.
URL: http://dirk.eddelbuettel.com/code/littler.html
BugReports: https://github.com/eddelbuettel/littler/issues
License: GPL (>= 2)
OS_type: unix
SystemRequirements: libR
Suggests: knitr, docopt, rcmdcheck
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-08-07 02:07:31.145748 UTC; edd
Repository: CRAN
Date/Publication: 2016-08-07 05:16:53

## littler 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.1
-Date: 2016-08-06
+Version: 0.3.2
+Date: 2017-02-14
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2016-08-07 02:07:31.145748 UTC; edd
+Packaged: 2017-02-14 20:45:24.002714 UTC; edd
 Repository: CRAN
-Date/Publication: 2016-08-07 05:16:53
+Date/Publication: 2017-02-15 09:59:56

## littler 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.2
-Date: 2017-02-14
+Version: 0.3.3
+Date: 2017-12-17
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2017-02-14 20:45:24.002714 UTC; edd
+Packaged: 2017-12-17 16:39:28 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-02-15 09:59:56
+Date/Publication: 2017-12-17 16:59:19 UTC

## littler 0.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.3
-Date: 2017-12-17
+Version: 0.3.4
+Date: 2018-08-23
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2017-12-17 16:39:28 UTC; edd
+Packaged: 2018-08-24 12:15:28.780605 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-12-17 16:59:19 UTC
+Date/Publication: 2018-08-24 12:32:16 UTC

=== debian/changelog ===
littler (0.3.4-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Tue, 28 Aug 2018 01:25:45 +0000

littler (0.3.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

  * debian/control: Revert back to ${R:Depends} and cdbs

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Aug 2018 18:02:44 -0500

littler (0.3.3-1.2) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 17:23:02 -0500

littler (0.3.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Dec 2017 15:46:23 -0600

littler (0.3.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Feb 2017 15:33:11 -0600

littler (0.3.1-1) unstable; urgency=medium

  * New upstream release based on second CRAN upload

  * debian/control: Removed libicu-dev from Builds-Depends but increased
    versioned Depends: to r-base-dev (>= 3.3.0-2) which now provides it

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Aug 2016 08:22:38 -0500

littler (0.3.0-3) unstable; urgency=low

  * debian/control: Add libicu-dev to Build-Depends	(Closes: #824465)
  
  * debian/rules: Strip /usr/bin/r when installing

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 May 2016 06:22:23 -0500

littler (0.3.0-2) unstable; urgency=low

  * debian/control: Add virtual package littler to ensure installation of
    r-cran-littler

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2015 11:52:43 -0600

littler (0.3.0-1) unstable; urgency=low

  * New upstream release based on intial CRAN upload

  * debian/control: Binary package renamed to 'r-cran-littler' to match
    other CRAN packages in Debian; added Conflicts:/Replaces:/Provides:
    
  * debian/rules: Rewritten for use as a CRAN package

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Oct 2015 19:36:39 -0500

littler (0.2.3-2) unstable; urgency=low

  * Interim release based on current GitHub repo; release will follow
  
  * litter.c: Invert logic to default to reproducible builds
  * bootstrp: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 May 2015 14:02:21 -0500

littler (0.2.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated (Build-)Depends: to current R version

  * This version support reproducible builds in the code, but I have not
    bumped this up to the build system (which I am contemplating
    changing). To activate, for now please add #define REPRODUCIBLE_BUILD=1 
    at the top of the littler.c file.
 
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Mar 2015 08:18:47 -0500

littler (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jan 2015 06:33:58 -0600

littler (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Oct 2014 15:48:24 -0500

littler (0.2.0-2) unstable; urgency=low

  * Makefile.in: Comment-out -march=native which cannot be use for Debian builds
  								(Closes: #761912)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Sep 2014 14:13:01 -0500

littler (0.2.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Sep 2014 13:03:23 -0500

littler (0.1.5-1) unstable; urgency=low

  * New upstream release with the following changes:

       - littler.c (littler_CleanUp): Remove call to Rf_KillAllDevices() 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Sep 2011 09:40:56 -0500

littler (0.1.4-1) unstable; urgency=low

  * New upstream release with the following changes:

       - Makefile.am: Applied patch by Mathias Klose to prevent FTBFS with
        'ld --as-needed', cf LP bug 770980.		(Closes: #641640)

       - littler.c: Some tweaks suggested by 'gcc -Wall'
 
       - examples/install2.r: Added a second R package installer example

       - examples/update.r: Switch to '/usr/bin/r -t' as shebang line
       - examples/fsizes.r: Dito

  * debian/control: Updated (Build-)Depends: to current R version
  * debian/control: Updated Standards-Version: to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 12:41:31 -0500

littler (0.1.3-1) unstable; urgency=low

  * New upstream release with the following changes:

       - initialize such that interactive() now returns FALSE, added 
         new switch -i|--interactive to get the prior behaviour of TRUE
  
       - augmented littler_CleanUp to be closer to the example in 
         section 8.1.2 on 'Setting R callbacks'
  
       - small fixes to examples install.r and update.r

  * debian/control: Updated (Build-)Depends: to current R version
  * debian/control: Updated Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jan 2010 19:18:07 -0600

littler (0.1.2-2) unstable; urgency=low

  * r.1: Added missing \ to protect \n; also submitted in svn
  							(Closes: #520868)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  * debian/control: Updated Standards-Version: to '3.8.1'

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Mar 2009 19:50:07 -0500



=== debian/control ===
Source: littler
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.1), autotools-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
Homepage: https://cran.r-project.org/package=littler

Package: r-cran-littler
Architecture: any
Depends: ${R:Depends}, r-api-3.5, ${shlibs:Depends}, ${misc:Depends}
Suggests: r-cran-getopt
Provides: littler
Conflicts: littler (<= 0.2.3-2)
Replaces: littler
Description: GNU R scripting and command-line front-end
 The 'r' (aka 'littler') program provides a lightweight binary wrapper around 
 the GNU R language and environment for statistical computing and graphics. 
 .
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hashmark-exclamation-path 
 expression as the first line in scripts) as well as command-line use in 
 standard Unix pipelines. In other words, r provides the R language without 
 the environment. 

Package: littler
Architecture: all
Depends: ${misc:Depends}, r-cran-littler
Description: GNU R scripting and command-line front-end -- transition package
 The 'r' (aka 'littler') program provides a lightweight binary wrapper around 
 the GNU R language and environment for statistical computing and graphics. 
 .
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hashmark-exclamation-path 
 expression as the first line in scripts) as well as command-line use in 
 standard Unix pipelines. In other words, r provides the R language without 
 the environment. 
 .
 This virtual package ensures that 'r-cran-littler' is installed. Once that
 is done, this 'littler' package can be removed.

## littler 0.3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.4
-Date: 2018-08-23
+Version: 0.3.5
+Date: 2018-10-04
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2018-08-24 12:15:28.780605 UTC; edd
+Packaged: 2018-10-04 12:39:20.117291 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-08-24 12:32:16 UTC
+Date/Publication: 2018-10-04 13:00:03 UTC

=== debian/changelog ===
littler (0.3.5-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 06 Oct 2018 13:44:40 +0000

littler (0.3.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Oct 2018 21:44:20 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.1), autotools-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.5
-Date: 2018-10-04
+Version: 0.3.6
+Date: 2019-01-26
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2018-10-04 12:39:20.117291 UTC; edd
+Packaged: 2019-01-26 14:57:43.890932 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-10-04 13:00:03 UTC
+Date/Publication: 2019-01-26 15:10:03 UTC

=== debian/changelog ===
littler (0.3.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Jan 2019 12:26:12 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.1), autotools-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.2), autotools-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.6
-Date: 2019-01-26
+Version: 0.3.7
+Date: 2019-03-15
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2019-01-26 14:57:43.890932 UTC; edd
+Packaged: 2019-03-15 11:00:09.522844 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-01-26 15:10:03 UTC
+Date/Publication: 2019-03-15 12:40:03 UTC

=== debian/changelog ===
littler (0.3.7-2xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 16 Mar 2019 13:48:15 +0000

littler (0.3.7-2) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Mar 2019 19:12:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.2), autotools-dev
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.3), autotools-dev
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

## littler 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.7
-Date: 2019-03-15
+Version: 0.3.8
+Date: 2019-06-09
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2019-03-15 11:00:09.522844 UTC; edd
+Packaged: 2019-06-09 16:19:34.73023 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-03-15 12:40:03 UTC
+Date/Publication: 2019-06-09 16:30:03 UTC

=== debian/changelog ===
littler (0.3.8-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Mon, 10 Jun 2019 13:18:47 +0000

littler (0.3.8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Jun 2019 13:49:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.5.3), autotools-dev
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.6.0), autotools-dev
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
@@ -10,7 +10,7 @@
 
 Package: r-cran-littler
 Architecture: any
-Depends: ${R:Depends}, r-api-3.5, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-cran-getopt
 Provides: littler
 Conflicts: littler (<= 0.2.3-2)

## littler 0.3.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.8
-Date: 2019-06-09
+Version: 0.3.9
+Date: 2019-10-27
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2019-06-09 16:19:34.73023 UTC; edd
+Packaged: 2019-10-27 12:55:14.979994 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-06-09 16:30:03 UTC
+Date/Publication: 2019-10-27 13:57:31

=== debian/changelog ===
littler (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Oct 2019 06:16:51 -0500

littler (0.3.8-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Aug 2019 17:06:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.6.0), autotools-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.6.1), autotools-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux littler package
# Copyright 2006 - 2018 by Dirk Eddelbuettel <edd@debian.org>

# include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/debhelper.mk

# binary-install/littler::
#		dh_installexamples examples/*
#		dh_installdocs tests/


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk
## include /usr/share/cdbs/1/rules/dpatch.mk
## include /usr/share/cdbs/1/rules/simple-patchsys.mk

# Check whether source format 3.0 (quilt) is used.  If yes, do not include the conflicting simple-patchsys.mk
formatfile 	:= $(CURDIR)/debian/source/format
format_3_quilt	= $(shell if [ -f $(formatfile) ] ; then if grep -q '3.0[[:space:]]*(quilt)' $(formatfile) ; then echo 1 ; else echo 0 ; fi else echo 0 ; fi )
ifeq ($(format_3_quilt),0)
  include /usr/share/cdbs/1/rules/simple-patchsys.mk
endif

# awk command to extract word after Package or Bundle, not lowercased
awkString	:= "'/^(Package|Bundle):/ {print $$2 }'"

# apply it to the upstream meta-info file DESCRIPTION, also generate a lc version
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
#cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z | tr . -)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)

## if no debRreposname is known, set default to cran -- thanks, Steffen!
ifeq ($(debRreposname),)
  debRreposname	:= cran
endif

## we can define additional flags for R's make, eg "CXXFLAGS=-g0" for 
## RQuantLib but the default is empty
##   makeFlags	:=
## if makeFlags are defined, then we'll use them in this variable
## which would otherwise be empty
ifneq ($(makeFlags),)
  makeFlagsCall	:= MAKEFLAGS=$(makeFlags)
endif

## xvfb-run with GL extension and default resolution
xvfbSrvArgs 	= -screen 0 1024x768x24 -ac +extension GLX +render -noreset

## and use the results to build the Debian'ized package name
package		:= r-$(debRreposname)-$(cranName)

## awk command to extract word after Priority
prioritystr	:= "'/^Priority:/ {print tolower($$2) }'"
priority        := $(shell awk "$(prioritystr)" DESCRIPTION)

ifeq ($(priority),recommended)
  debRdir	:= usr/lib/R/library
else
  debRdir	:= usr/lib/R/site-library
endif

## current R version in Debian, with thanks to Charles Plessy for the dpkg-query call
#rversion	:= $(shell zcat /usr/share/doc/r-base-dev/changelog.Debian.gz | \
#			dpkg-parsechangelog -l- --count 1  | \
#			awk '/^Version/ {print $$2}')
rversion	:= $(shell dpkg-query -W -f='$${Version}' r-base-dev)
rapiversion	:= $(shell dpkg-query -W -f='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

## we use these results for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/$(debRdir)

## optional installation of a lintian silencer
lintiandir	:= $(CURDIR)/debian/$(package)/usr/share/lintian/overrides

## set built-time in DESCRIPTION time of created binary package based on stamp in changelog
## cf discussion in http://bugs.debian.org/774031 --- and uncomment two assignments here
##
## extract built-timestamp from entry changelog and use as argument 
#builttime       := $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')
##
#builttimeStamp  := "--built-timestamp=\"$(builttime)\""
##
## else
#builttimeStamp  := ""
#
## Bug report #782764 with patch by Philipp Rinn building on what we had above
## if no builttimeStamp is supplied, set built-time (to be set in DESCRIPTION) 
## to time of created source package based on stamp in changelog. 
## See discussion in http://bugs.debian.org/774031

ifeq ($(builttimeStamp),)
  builttime       := $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')
  builttimeStamp  := "--built-timestamp=\"$(builttime)\""
endif  

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
                ## create the target directory
		dh_installdirs		$(debRdir)
                ##
                ## support ${R:Depends} via debian/${package}.substvars
		echo "R:Depends=r-base-core (>= ${rversion}), ${rapiversion}" >> debian/$(package).substvars
                ##
                ## call R to install the sources we're looking at
                ## use this inside xvfb-run if this wrapper is installed
		if test -f /usr/bin/xvfb-run; then 			\
			$(makeFlagsCall) xvfb-run -a -n 20              \
                                                  -s "${xvfbSrvArgs}"   \
				R CMD INSTALL -l $(debRlib) --clean     \
					$(extraInstallFlags) .   	\
					$(builttimeStamp)   	        \
					;                               \
		else							\
			$(makeFlagsCall) R CMD INSTALL -l $(debRlib) 	\
					--clean $(extraInstallFlags) .  \
					$(builttimeStamp)   	        \
					;                               \
		fi
                ## remove extra files which are present in some packages
		rm -vf $(debRlib)/R.css 			\
			$(debRlib)/$(cranNameOrig)/COPYING 	\
			$(debRlib)/$(cranNameOrig)/LICENSE.txt	\
			$(debRlib)/$(cranNameOrig)/LICENSE
                ## if we have an overrides file for lintian, install it
		if test -f debian/overrides; then 		\
			install -d $(lintiandir) ; 		\
			install -m 0644 debian/overrides 	\
				$(lintiandir)/$(package); 	\
		fi

## clean target from patch by Steffen Moeller on 16 May 2009
clean::
                ## the re-invocation of a build process should not
                ## leave a footprint in Debian's diff.gz.
		if test -d src; then				\
			find src -regex ".*\.o" |               \
                        xargs --no-run-if-empty -r rm;          \
		fi
		rm -f config.log config.status
                ## the configure file is provided by upstream but
                ## could be recreated by a call to 'autoconf'.
                #if [ -r configure.in ]; then \
                #	rm -f configure \
                #fi
                ##
                # if [ -r src/Makevars.in ]; then \
                # 	rm -f src/Makevars; \
                # fi



common-binary-post-install-arch::
	dh_installdirs usr/bin usr/share/man/man1
	install -s -v -m 0644 $(debRlib)/littler/bin/r        $(CURDIR)/debian/$(package)/usr/bin/
	install    -v -m 0644 $(debRlib)/littler/man-page/r.1 $(CURDIR)/debian/$(package)/usr/share/man/man1/

## link examples into old location from when package was 'littler' not r-cran-littler
DEB_DH_LINK_ARGS = usr/lib/R/site-library/littler/examples/ usr/share/doc/littler/examples

## littler 0.3.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.9
-Date: 2019-10-27
+Version: 0.3.10
+Date: 2020-06-02
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -22,6 +22,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2019-10-27 12:55:14.979994 UTC; edd
+Packaged: 2020-06-02 17:40:15.231868 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-10-27 13:57:31
+Date/Publication: 2020-06-03 05:20:02 UTC

=== debian/changelog ===
littler (0.3.10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/compat: Level increased

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Jun 2020 06:46:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 3.6.1), autotools-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 4.0.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.10
-Date: 2020-06-02
+Version: 0.3.11
+Date: 2020-06-26
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -18,10 +18,10 @@
 License: GPL (>= 2)
 OS_type: unix
 SystemRequirements: libR
-Suggests: knitr, docopt, rcmdcheck
+Suggests: knitr, rmarkdown, docopt, rcmdcheck
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2020-06-02 17:40:15.231868 UTC; edd
+Packaged: 2020-06-26 14:34:44.793402 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-06-03 05:20:02 UTC
+Date/Publication: 2020-06-26 15:10:08 UTC

=== debian/changelog ===
littler (0.3.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jun 2020 15:40:21 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 4.0.0)
+Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 4.0.2)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

## littler 0.3.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.11
-Date: 2020-06-26
+Version: 0.3.12
+Date: 2020-10-04
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -18,10 +18,10 @@
 License: GPL (>= 2)
 OS_type: unix
 SystemRequirements: libR
-Suggests: knitr, rmarkdown, docopt, rcmdcheck
+Suggests: knitr, rmarkdown, minidown, docopt, rcmdcheck, foghorn
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2020-06-26 14:34:44.793402 UTC; edd
+Packaged: 2020-10-04 05:41:57.31382 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-06-26 15:10:08 UTC
+Date/Publication: 2020-10-07 12:30:09 UTC

=== debian/changelog ===
littler (0.3.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

  * debian/rules: Do not strip r when installing 	(Closes: #968531)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Oct 2020 08:12:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, r-base-dev (>= 4.0.2)
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.0.2)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

=== debian/rules ===
--- 
+++ 
@@ -155,8 +155,8 @@
 
 common-binary-post-install-arch::
 	dh_installdirs usr/bin usr/share/man/man1
-	install -s -v -m 0644 $(debRlib)/littler/bin/r        $(CURDIR)/debian/$(package)/usr/bin/
-	install    -v -m 0644 $(debRlib)/littler/man-page/r.1 $(CURDIR)/debian/$(package)/usr/share/man/man1/
+	install -v -m 0644 $(debRlib)/littler/bin/r        $(CURDIR)/debian/$(package)/usr/bin/
+	install -v -m 0644 $(debRlib)/littler/man-page/r.1 $(CURDIR)/debian/$(package)/usr/share/man/man1/
 
 ## link examples into old location from when package was 'littler' not r-cran-littler
 DEB_DH_LINK_ARGS = usr/lib/R/site-library/littler/examples/ usr/share/doc/littler/examples

## littler 0.3.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.12
-Date: 2020-10-04
+Version: 0.3.13
+Date: 2021-07-24
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -13,7 +13,8 @@
  expression as the first line in scripts) as well as command-line use in
  standard Unix pipelines. In other words, r provides the R language without
  the environment.
-URL: http://dirk.eddelbuettel.com/code/littler.html
+URL: https://github.com/eddelbuettel/littler,
+        https://dirk.eddelbuettel.com/code/littler.html
 BugReports: https://github.com/eddelbuettel/littler/issues
 License: GPL (>= 2)
 OS_type: unix
@@ -22,6 +23,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2020-10-04 05:41:57.31382 UTC; edd
+Packaged: 2021-07-24 13:46:57 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-10-07 12:30:09 UTC
+Date/Publication: 2021-07-24 14:50:06 UTC

=== debian/changelog ===
littler (0.3.13-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.5 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler <= 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 31 Jul 2021 13:54:09 +0000

littler (0.3.13-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jul 2021 11:03:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev (>= 4.0.2)
+Build-Depends: debhelper, cdbs, r-base-dev, dh-r
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

## littler 0.3.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.13
-Date: 2021-07-24
+Version: 0.3.14
+Date: 2021-10-05
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -14,7 +14,8 @@
  standard Unix pipelines. In other words, r provides the R language without
  the environment.
 URL: https://github.com/eddelbuettel/littler,
-        https://dirk.eddelbuettel.com/code/littler.html
+        https://dirk.eddelbuettel.com/code/littler.html,
+        https://eddelbuettel.github.io/littler/
 BugReports: https://github.com/eddelbuettel/littler/issues
 License: GPL (>= 2)
 OS_type: unix
@@ -23,6 +24,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2021-07-24 13:46:57 UTC; edd
+Packaged: 2021-10-05 13:51:41 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-07-24 14:50:06 UTC
+Date/Publication: 2021-10-05 23:30:02 UTC

=== debian/changelog ===
littler (0.3.14-1.1604.0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.7 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10
  * Added dependency on dh-r

 -- Michael Rutter <marutter@gmail.com>  Sat, 16 Oct 2021 14:14:09 +0000

littler (0.3.14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Oct 2021 19:34:17 -0500

littler (0.3.13-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 22:40:57 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev, dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper, cdbs, r-base-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.14
-Date: 2021-10-05
+Version: 0.3.15
+Date: 2021-12-03
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -20,10 +20,10 @@
 License: GPL (>= 2)
 OS_type: unix
 SystemRequirements: libR
-Suggests: knitr, rmarkdown, minidown, docopt, rcmdcheck, foghorn
-VignetteBuilder: knitr
+Suggests: simplermarkdown, docopt, rcmdcheck, foghorn
+VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2021-10-05 13:51:41 UTC; edd
+Packaged: 2021-12-03 13:02:23 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-10-05 23:30:02 UTC
+Date/Publication: 2021-12-03 13:20:02 UTC

=== debian/changelog ===
littler (0.3.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Dec 2021 07:55:06 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.1.2)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

## littler 0.3.16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.15
-Date: 2021-12-03
+Version: 0.3.16
+Date: 2022-08-28
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -24,6 +24,6 @@
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2021-12-03 13:02:23 UTC; edd
+Packaged: 2022-08-28 21:45:00 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-12-03 13:20:02 UTC
+Date/Publication: 2022-08-28 22:10:02 UTC

=== debian/changelog ===
littler (0.3.16-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.6 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler <= 10

 -- Michael Rutter <marutter@gmail.com>  Wed, 07 Sep 2022 02:14:17 +0000

littler (0.3.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Aug 2022 18:02:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev (>= 4.1.2)
-Standards-Version: 4.6.0
+Build-Depends: debhelper, cdbs, r-base-dev, dh-r
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.16
-Date: 2022-08-28
+Version: 0.3.17
+Date: 2022-10-29
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -24,6 +24,6 @@
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2022-08-28 21:45:00 UTC; edd
+Packaged: 2022-10-29 12:22:47 UTC; edd
 Repository: CRAN
-Date/Publication: 2022-08-28 22:10:02 UTC
+Date/Publication: 2022-10-29 21:57:49 UTC

=== debian/changelog ===
littler (0.3.17-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Oct 2022 17:12:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev, dh-r
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.2.1)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

## littler 0.3.18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.17
-Date: 2022-10-29
+Version: 0.3.18
+Date: 2023-03-25
 Author: Dirk Eddelbuettel and Jeff Horner
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -24,6 +24,6 @@
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2022-10-29 12:22:47 UTC; edd
+Packaged: 2023-03-25 20:35:24 UTC; edd
 Repository: CRAN
-Date/Publication: 2022-10-29 21:57:49 UTC
+Date/Publication: 2023-03-26 10:20:05 UTC

=== debian/changelog ===
littler (0.3.18-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:43:06 -0500

littler (0.3.18-1.ca2004.2) focal; urgency=medium

  * Build for focal

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2023 19:45:08 -0500

littler (0.3.18-1.ca2204.2) jammy; urgency=medium

  * Build for jammy

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2023 19:27:47 -0500

littler (0.3.18-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Mar 2023 18:11:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev (>= 4.2.1)
-Standards-Version: 4.6.1
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.3.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

## littler 0.3.19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.18
-Date: 2023-03-25
-Author: Dirk Eddelbuettel and Jeff Horner
+Version: 0.3.19
+Date: 2023-12-17
+Author: Dirk Eddelbuettel and Jeff Horner (2006-2008)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
  is provided by 'r' (aka 'littler') as a lightweight binary wrapper around
@@ -24,6 +24,6 @@
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2023-03-25 20:35:24 UTC; edd
+Packaged: 2023-12-17 21:56:28 UTC; edd
 Repository: CRAN
-Date/Publication: 2023-03-26 10:20:05 UTC
+Date/Publication: 2023-12-17 22:30:10 UTC

=== debian/changelog ===
littler (0.3.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Dec 2023 17:41:04 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev (>= 4.3.1)
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.3.2)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f 					
 # 							-*- makefile -*-
 # debian/rules file for the Debian/GNU Linux littler package
-# Copyright 2006 - 2018 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright 2006 - 2021 by Dirk Eddelbuettel <edd@debian.org>
 
 # include /usr/share/cdbs/1/class/autotools.mk
 # include /usr/share/cdbs/1/rules/debhelper.mk

## littler 0.3.20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.19
-Date: 2023-12-17
+Version: 0.3.20
+Date: 2024-03-23
 Author: Dirk Eddelbuettel and Jeff Horner (2006-2008)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A scripting and command-line front-end
@@ -20,10 +20,10 @@
 License: GPL (>= 2)
 OS_type: unix
 SystemRequirements: libR
-Suggests: simplermarkdown, docopt, rcmdcheck, foghorn
+Suggests: simplermarkdown, docopt, rcmdcheck
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2023-12-17 21:56:28 UTC; edd
+Packaged: 2024-03-23 18:27:34 UTC; edd
 Repository: CRAN
-Date/Publication: 2023-12-17 22:30:10 UTC
+Date/Publication: 2024-03-23 21:50:02 UTC

=== debian/changelog ===
littler (0.3.20-2) unstable; urgency=medium

  * debian/rules: Simplify as suggested by Bastian Germann (closes: #1089832)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Dec 2024 06:55:17 -0600

littler (0.3.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2024 17:20:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, cdbs, r-base-dev (>= 4.3.2)
-Standards-Version: 4.6.2
+Build-Depends: debhelper, cdbs, r-base-dev (>= 4.4.2)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler
